Subject: Re: bug#9324: 24.0.50; Movement past end of screen causes weird jump

From: Ivan Andrus <[email-masked]>
Date: Thu, 25 Aug 2011 22:11:37 +0200

I tried to build it with GTK, but it segfaulted, so I can't tell if it works there or not.  I was _____ able to reproduce it with the athena toolkit.

On Aug 20, 2011, at 1:29 PM, Eli Zaretskii wrote:
>> From: Ivan Andrus <[email-masked]>
>> Date: Sat, 20 Aug 2011 09:33:31 +0200
>> Cc: [email-masked],
>> [email-masked]
>> 
>>>> emacs -Q -l ~/.emacs.d/elpa/highlight-parentheses-1.0.1/highlight-parentheses.el -l ~/.emacs.d/local/hl-sexp.el ~/vcs/emacs/bug-example-3.el
>>> 
>>> Sorry to disappoint you, but I cannot reproduce this even with this
>>> precise recipe.  I downloaded the latest hl-sexp.el and
>>> highlight-parentheses.el, and used them exactly as shown, albeit the
>>> leading directories were different, and I still cannot see the
>>> problem.  Emacs behaves as expected.
>> 
>> Aaargh!  After running the progn, do you see all of line starting with 208, or just the continuation of it.
> 
> Neither.  The top line in the window is this:
> 
>  (custom-set-faces '(mode-line ((t (:box (:line-width 1))))))
> 
> If you see something else, your frame must be much larger than mine.

Indeed and that is very important to reproducing this bug.  What is your frame size?  Actually when building with athena I couldn't get the frame big enough, so I changed the test case a little.  At the end of the day what seems important is that the first line showing be a continuation line.  Then executing the (forward-sexp) gives the buggy behavior.

> What is the value of `lpoint' after line 14682?  

NB: the line numbers have changed slightly, but these represent values after the appropriate SET_TEXT_POS etc.

(gdb) p lpoint
$1 = {
  charpos = 2461, 
  bytepos = 2461
}

> What is the value of
> `opoint' after line 14764?  

(gdb) p opoint
$2 = {
  charpos = 2461, 
  bytepos = 2461
}

> And what is the value of `startp' at line
> 14886?

(gdb) p startp
$3 = {
  charpos = 90, 
  bytepos = 90
}

This was using revision 105563, configured with
CFLAGS='-ggdb -g3' ./configure --with-x-toolkit=athena     --with-gif=no
and using a slightly different file than before (which I have attached) and debugging with

run -Q -l ~/.emacs.d/elpa/highlight-parentheses-1.0.1/highlight-parentheses.el -l ~/.emacs.d/local/hl-sexp.el ~/vcs/emacs/bug-example-3.el

Then breaking on redisplay_window and evaluating the progn block (I had to scroll to avoid a beginning of buffer error that I thought unwind-protect would take care of but didn't) and then the forward-sexp block.
I didn't even need to evaluate the mode-line change this time, probably due to the way that I ensure the first line is a continuation line.

Anyway, I hope that makes sense and helps.  If you need any other debugging output I would be happy, either in the NextStep version or the athena version (or both).

-Ivan